Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::actions::adjacent_remove_if_fn Struct Reference

## Synopsis of methods
constexpr adjacent_remove_if_fn | adjacent_remove_if {}

## Public Member Functions
template<typename Pred , typename Proj = identity>
constexpr auto | operator() (Pred pred, Proj proj={}) const
template<typename Rng , typename Pred , typename Proj = identity>
Rng | operator() (Rng &&rng, Pred pred, Proj proj={}) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Pred , typename Proj = identity>

constexpr auto ranges::actions::adjacent_remove_if_fn::operator() | ( | Pred | pred,
|  | Proj | proj = `{}`
| ) |  | const
| constexpr

Precondition
  requires `(!range<Pred>)`

## ◆ operator()() [2/2]

template<typename Rng , typename Pred , typename Proj = identity>

Rng ranges::actions::adjacent_remove_if_fn::operator() | ( | Rng && | rng,
|  | Pred | pred,
|  | Proj | proj = `{}`
| ) |  | const

Precondition
  requires `forward_range<Rng> && erasable_range<Rng, iterator_t<Rng>, sentinel_t<Rng>> && indirect_relation<Pred, projected<iterator_t<Rng>, Proj>> && permutable<iterator_t<Rng>>`